Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366581 - [NSAPI] Redirecting makes web server crash
Summary: [NSAPI] Redirecting makes web server crash
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Apache Server (httpd) and Connectors
Version: 6.4.9
Hardware: Unspecified
OS: Solaris
unspecified
urgent
Target Milestone: ---
: EAP 6.4.9
Assignee: Mladen Turk
QA Contact: Jan Stefl
URL:
Whiteboard:
Depends On:
Blocks: 1369758
TreeView+ depends on / blocked
 
Reported: 2016-08-12 11:53 UTC by Jan Stefl
Modified: 2017-01-17 14:47 UTC (History)
5 users (show)

Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1369758 (view as bug list)
Environment:
Last Closed: 2017-01-17 14:47:59 UTC
Type: Bug


Attachments (Terms of Use)

Comment 1 Mladen Turk 2016-08-18 14:00:00 UTC
I would try to use a different shm_file inside magnus.conf
e.g.
.... shm_file="/tmp/eap649-native/jk_shm" 
.... shm_file="/tmp/jbcs246-native/jk_shm" 

In case of failure shared memory on Solaris can get locked until system reboot

Comment 2 Jan Stefl 2016-08-18 16:03:44 UTC
Thank you for the hint! I have updated tests and started them. I will know more tomorrow.

Comment 3 Jan Stefl 2016-08-19 14:50:53 UTC
I have changed the folder and let the machine restart.
Unfortunately, problem still exists.

I have notice, there is no file on /tmp/eap649-native/jk_shm, I would expect it there because was configured in magnus.conf. The same problem for /tmp/eap649-native/nsapi.log




-------
iPlanet log
-------
finest ( 4780): for host 10.16.92.95 trying to GET /nc1/SysProperties.jsp, func_exec reports: fn="force-type" type="text/plain" Directive="ObjectType" returned 0 (REQ_PROCEED)
[19/Aug/2016:10:43:09] finest ( 4780): for host 10.16.92.95 trying to GET /nc1/SysProperties.jsp, func_exec reports: executing fn="jk_service" worker="worker1" path="/nc1(/*)" Directive="Service"
[19/Aug/2016:10:43:09] catastrophe ( 4780): CORE3260: Server crash detected (signal SIGSEGV)
[19/Aug/2016:10:43:09] info ( 4780): CORE3261: Crash occurred in NSAPI SAF jk_service
[19/Aug/2016:10:43:09] info ( 4780): CORE3262: Crash occurred in function jk_shm_check_maintain from module /mnt/hudson_workspace/workspace/eap-60-native-connectors-solaris-sparc/jdk/java16_default/label_exp/dev33-solaris11-sparc/jbosseap/modules/system/layers/base/native/lib64/nsapi_redirector.so
[19/Aug/2016:10:43:44] fine ( 4779): Child process closed admin channel
[19/Aug/2016:10:43:44] fine ( 4779): CORE3061: received signal 18
[19/Aug/2016:10:43:44] fine ( 4779): CORE3049: Detected child process 4780 died (status 139)
[19/Aug/2016:10:43:44] info ( 4779): CORE3050: Spawning replacement for worker process 4780
[19/Aug/2016:10:43:44] fine ( 4779): Marked slot for pid = 4780 as empty

Comment 5 Mladen Turk 2016-08-23 08:51:24 UTC
Hmm, could you post the complete magnus.conf for the new changed path setup?

Perhaps all paths should be the same.
Anyhow, if not inside configured location, where is nsapi.log created ?

Also can you post nsapi.log (the one from mpod_jk)
By trace it looks like problem originates from shared memory, so if the same segment from previous version is opened it will have different layout and size, causing problems.

Comment 6 Jean-frederic Clere 2016-08-23 09:44:00 UTC
Please retry with nsapi_redirector.so from http://www.qa.jboss.com/xbuildroot/packages/ep6/mod_jk/1.2.41/2.sun10/ and tell us if that helps

Comment 7 Jan Stefl 2016-08-23 11:40:24 UTC
I can confirm that problem was fixed.
Thank you!

Comment 9 Jan Stefl 2016-09-20 09:00:17 UTC
Issue was fixed

Tested on EAP 6.4.10/natives based on EWS 2.1.1.

Comment 10 Petr Penicka 2017-01-17 14:47:59 UTC
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.


Note You need to log in before you can comment on or make changes to this bug.